flow123d_version: 2.0.0
problem: !Coupling_Sequential
  description: Hydraulika 
  mesh:
    mesh_file: ./input/.sit_39_jemna final.msh
  flow_equation: !Flow_Darcy_MH
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-12
        r_tol: 1.0e-12
    input_fields:
      - region: fracture
        conductivity: 1.061e-7
        cross_section: 0.5
        sigma: 1
      - region: 3D_volume_up
        conductivity: 0.1
        cross_section: 1
        sigma: 1
      - region: 3D_volume_middle
        conductivity: 5.276743e-10
        cross_section: 1
        sigma: 1
      - region: 3D_volume_down
        conductivity: 5.276743e-10
        cross_section: 1
        sigma: 1
      - region: .surface
        bc_type: total_flux
        bc_flux: 6.34E-09  # 200 mm/yr
      - region: .f_surface
        bc_type: total_flux
        bc_flux: 6.34E-09  # 200 mm/yr
      - region: .s_tunnel
        bc_type: dirichlet
        bc_pressure: 0
      - region: .f_tunnel
        bc_type: dirichlet
        bc_pressure: 0
      - region: .f_bottom
        bc_type: dirichlet
        bc_pressure: 320
      - region: .base
        bc_type: dirichlet
        bc_pressure: 320
      - region: .f_upper_zone
        bc_type: dirichlet
        bc_pressure: !FieldFormula
          value: -z
      - region: .lateral_wall_up
        bc_type: total_flux
        bc_flux: 0
      - region: .back_wall_up
        bc_type: dirichlet
        bc_pressure: !FieldFormula
          value: -z
    output_stream: 
      file: test3.msh
      format: !gmsh
        variant: ascii
      name: flow_output_stream
    output:
      fields:
      - piezo_head_p0
      - pressure_p0
      - pressure_p1
      - velocity_p0
    balance: {}
    solver: !Petsc
      r_tol: 1.0e-15
      a_tol: 1.0e-15
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_AdvectionDiffusion_DG
      input_fields:
        - region: fracture
          init_conc: 0
          porosity: 0.043538
          diff_m: 0.0001706
          disp_t: 1
          disp_l: 5
        - region: 3D_volume_up
          init_conc: 0
          porosity: 0.02
          diff_m: 0.000221039
          disp_t: 1
          disp_l: 5
        - region: 3D_volume_middle
          init_conc: 0
          porosity: 0.0225
          diff_m: 0.00021253
          disp_t: 1
          disp_l: 5
        - region: 3D_volume_down
          init_conc: 0
          porosity: 0.0225
          diff_m: 0.00021253
          disp_t: 1
          disp_l: 5
        - region: .surface
          bc_type: dirichlet
          time: 0
          bc_conc: 100
        - region: .surface
          bc_type: dirichlet
          time: 10
          bc_conc: 0
      solver: 
        a_tol: 1.0e-12
        r_tol: 1.0e-12
    output_stream: 
      file: ./transport.pvd
      format: !gmsh
        variant: ascii
      name: transport_output_stream
      times:
        - step: 10
    substances:
      - H2O
    time:
      end_time: 1000
    balance:
      cumulative: true